Bug 1438763 - Default dynamic text boxes should be blank
Summary: Default dynamic text boxes should be blank
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.9.0
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1448417 1448418
TreeView+ depends on / blocked
 
Reported: 2017-04-04 11:20 UTC by Ryan Spagnola
Modified: 2020-12-14 08:27 UTC (History)
10 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1448417 1448418 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:05:56 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Spagnola 2017-04-04 11:20:54 UTC
Description of problem:
When we are using dynamic text boxes, it shows <None> as default value. User has to remove value <None> and enter the text. We expect this to be blank.

Version-Release number of selected component (if applicable):
5.7.x

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
By making following changes, we are able to fix dynamic textbox showing "<None>" as default value.

[root@cfme29 vmdb]# diff /root/dialog_field_text_box.rb  app/models/dialog_field_text_box.rb 
11c11
<     "<None>"
---
>     ""
#systemctl restart evmserverd "

Additional info:

Comment 2 Chris Hale 2017-04-04 19:50:51 UTC
I believe this issue is for ops UI to make a change to the codebase to change default text boxes.

Comment 4 CFME Bot 2017-05-04 22:51:47 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ccb4cd535d6aa9f2d206d04b2bafc5895de32246

commit ccb4cd535d6aa9f2d206d04b2bafc5895de32246
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Thu May 4 09:25:19 2017 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Thu May 4 15:12:58 2017 -0700

    Change initial value of dialog field text box to a blank string
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438763

 app/models/dialog_field_text_box.rb            |  2 +-
 spec/models/dialog_field_text_area_box_spec.rb |  2 +-
 spec/models/dialog_field_text_box_spec.rb      | 10 +++++++++-
 3 files changed, 11 insertions(+), 3 deletions(-)

Comment 7 Shveta 2017-10-31 18:08:26 UTC
No default value is shown now.
Verified in 5.9.0.4.20171024163837_ef71ea6


Note You need to log in before you can comment on or make changes to this bug.